unit uExampleData;

interface
const
  // Algorithm's determinant
  DeterminantAutoprotect:   array [0..3]  of Byte = ($60, $9A, $5F, $2C);
  DeterminantFast:	        array [0..7]  of Byte = ($12, $79, $64, $73, $37, $16, $F4, $73);
  DeterminantRandom:        array [0..3]  of Byte = ($91, $E2, $03, $5E);
  DeterminantDemo:	        array [0..7]  of Byte = ($78, $54, $A3, $22, $17, $E2, $FE, $61);
  DeterminantGsii64:	      array [0..15] of Byte = ($65, $F5, $1C, $E3, $71, $7F, $32, $26, $36, $4C, $70, $C6, $14, $00, $F8, $76);
  DeterminantHash64:	      array [0..15] of Byte = ($34, $3D, $BC, $24, $A5, $91, $87, $62, $19, $1A, $1B, $1C, $1D, $1E, $1F, $20);
  DeterminantRand64:	      array [0..15] of Byte = ($A7, $95, $33, $E1, $D2, $00, $47, $10, $EA, $B1, $4B, $0C, $78, $96, $22, $11);
  DeterminantProtItem:	    array [0..7]  of Byte = ($00, $00, $00, $00, $00, $00, $00, $00);
  DeterminantGsii64Demo:	  array [0..15] of Byte = ($78, $54, $A3, $22, $17, $E2, $FE, $61, $23, $AA, $AD, $A9, $79, $9A, $63, $5F);
  DeterminantHash64Demo:    array [0..15] of Byte = ($BC, $8E, $83, $F8, $43, $9F, $B8, $1A, $DA, $C1, $A4, $A2, $F0, $DB, $60, $19);
  DeterminantEccSecretKey:  array [0..19] of Byte = ($F5, $C1, $4B, $1F, $18, $8D, $24, $54, $F2, $43, $DE, $B9, $39, $7C, $2F, $97, $41, $CB, $9B, $AB);
  DeterminantEccPublicKey:  array [0..39] of Byte = ($1D, $CE, $42, $91, $EF, $F6, $8C, $6A, $EC, $B6, $C6, $76, $7E, $F0, $CC, $0B, $61, $D5, $A1, $73, $69, $14, $53, $05, $C3, $FD, $98, $93, $D6, $0A, $F8, $FA, $03, $E1, $8C, $37, $99, $4B, $95, $6B);
  DeterminantAes128Demo:    array [0..15] of Byte = ($AC, $5F, $A9, $AF, $80, $67, $DD, $90, $CA, $B9, $D3, $8A, $7D, $BE, $40, $B6);

  // Code
  PublicKey4VerifySign:     array[0..39] of Byte = ($E9, $A6, $35, $AC, $25, $41, $20, $E7, $B4, $2B, $2B, $62, $05, $51, $79, $7A, $D6, $2D, $17, $34, $DB, $EB, $63, $02, $9E, $5E, $6A, $CD, $63, $29, $87, $A1, $10, $37, $94, $EB, $08, $F1, $EC, $DE);
  PrivateKey4VerifySign:    array[0..19] of Byte = ($47, $80, $BC, $19, $D9, $B8, $22, $AA, $FB, $52, $BC, $76, $DA, $CE, $BC, $F0, $C5, $4F, $8F, $44);
  PublicKey4DecryptKey:     array[0..39] of Byte = ($16, $CA, $4B, $47, $EB, $21, $BA, $76, $1E, $E1, $8E, $D4, $FC, $B3, $B7, $E8, $E6, $52, $29, $E9, $2C, $07, $1E, $BA, $71, $76, $A1, $C5, $A3, $5E, $54, $73, $D9, $4D, $0C, $00, $5B, $29, $56, $8F);
  PrivateKey4DecryptKey:    array[0..19] of Byte = ($5B, $C6, $CD, $2A, $47, $16, $D0, $CA, $8C, $37, $44, $8F, $83, $91, $40, $80, $98, $3C, $E8, $AF);
implementation

end.
